import httputils from '@/api/scan/httpUtil'
import { Message } from 'element-ui';
import axios from 'axios'
const baseUrl = '/modelapi';

// 导出模型问题报告
// export function exportReport(params, success) {
//     httputils.postJson(`${baseUrl}/report/non-blocking`, params, success)
// }

// 查询楼层列表
export function queryFloorList(params, success) {
    return httputils.postJson(`${baseUrl}/model-floor/query-list`, params, success)
}

// 获取项目下所有模型文件夹
export function queryModel(params, success) {
    return httputils.postJson(`${baseUrl}/model-folder/query`, params, success)
}

// 查询文件夹下的所有楼层
export function queryReportList(params, success) {
    return httputils.postJson(`${baseUrl}/report/list/non-blocking`, params, success)
}

// 查询文件夹下的所有楼层（包含缺失楼层）
export function queryLostReportList(params, success) {
    return httputils.postJson(`${baseUrl}/model-floor/query-list-missing`, params, success)
}